| ## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iPcSpawn Member List

This is the complete list of members for iPcSpawn, including all inherited members.

AddEntityTemplateType(float chance, const char *templ, const char *name, const char *msg_id, iCelParameterBlock *params)=0 | iPcSpawn | `[pure virtual]`
AddEntityType(float chance, const char *name, iCelBlLayer *bl, const char *behaviour, const char *msg_id, iCelParameterBlock *params,...)=0 | iPcSpawn | `[pure virtual]`
ClearEntityList()=0 | iPcSpawn | `[pure virtual]`
InhibitCount(int number)=0 | iPcSpawn | `[pure virtual]`
IsEnabled() const =0 | iPcSpawn | `[pure virtual]`
ResetTiming()=0 | iPcSpawn | `[pure virtual]`
SetEnabled(bool e)=0 | iPcSpawn | `[pure virtual]`
SetTiming(bool repeat, bool random, csTicks mindelay, csTicks maxdelay)=0 | iPcSpawn | `[pure virtual]`
Spawn()=0 | iPcSpawn | `[pure virtual]`